Bug 818587 - gexiv2.pc Requires: exiv2 ... overlinking
gexiv2.pc Requires: exiv2 ... overlinking
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgexiv2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 09:05 EDT by Rex Dieter
Modified: 2014-09-17 06:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 08:48:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pkgconfig patch to avoid overlinking (506 bytes, patch)
2012-05-03 09:09 EDT, Rex Dieter
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 736789 None None None Never

  None (edit)
Description Rex Dieter 2012-05-03 09:05:10 EDT
libgexiv2's %_libdir/pkgconfig/gexiv2.pc file currently contains
Requires: exiv2 glib-2.0 gobject-2.0

which results in all those needlessly getting linked into all pkg-config-using target apps (even when not linking statically).  I noticed this doing the last exiv2 mass-rebuild...

I'd suggest patching this to be
Requires.private: exiv2 glib-2.0 gobject-2.0
instead (probably for rawhide only, reducing this linking may expose underlinking bugs in target apps)
Comment 1 Rex Dieter 2012-05-03 09:09:38 EDT
Created attachment 581860 [details]
pkgconfig patch to avoid overlinking
Comment 2 Ankur Sinha (FranciscoD) 2013-03-19 08:48:40 EDT
Hi Rex,

Thank you for the patch. I've included it and built for F19, rawhide. I'm considering an update to f18 too, and will add the patch if I do.

Thanks,
Ankur

Note You need to log in before you can comment on or make changes to this bug.